## Object Summaries

## Usage

    summary(object, ...)

    summary.default   (object, ..., digits = max(3, .Options$digits -3))
    summary.data.frame(object, maxsum = 7, ...)
    summary.factor    (object, maxsum = 100, ...)
    summary.matrix    (object, ...)

## Arguments

`object` | an object for which a summary is desired.
`maxsum` | integer, indicating how many levels should be shown for `factor`s.
`...` | additional arguments affecting the summary produced.

## Description

`summary` is a generic function used to produce result summaries of the results of various model fitting functions. The function invokes particular `methods` which depend on the `class` of the first argument.

## Details

For `factor`s, the frequency of the first `maxsum - 1` most frequent levels is shown, where the less frequent levels are summarized in `"(Others)"` (resulting in `maxsum` frequencies).

The functions `summary.lm` and `summary.glm` are examples of particular methods which summarise the results produced by `lm` and `glm`.

## Value

The form of the value returned by `summary` depends on the class of its argument. See the documentation of the particular methods for details of what is produced by that method.

## See Also

`anova`,`summary.glm`,`summary.lm`.

## Examples

    options(digits=5)
    data(attenu)
    summary(attenu) #-> summary.data.frame(..)
    summary(attenu $ station, maxsum = 20) #-> summary.factor(..)

[Package Contents]